// GT20L16J1Yを使ってSSD1306/SSD1315に日本語を表示するデモ
// 漢字ROMの読みだし周りはスイッチサイエンスのサンプルまるパクリ
// 半角カナは未対応
// ってかUTF->SJIS変換にメモリー食いすぎで
// やる気なくなった (´･ω･｀)

#include <SPI.h>
#include "OLED.h"
#include "text.h"

OLED oled ;
uint8_t str[128] ;

void setup (void)
{
  Serial.begin(9600);

  oled.init( ) ;
}

void loop (void)
{
  oled.cls( ) ;
  for (int i=0;i<textLines;i++) { 
    for (int j=0;;j++) {
      str[j] = pgm_read_byte(textList[i] + j) ;
      if (str[j] == 0) break ;
    }
    oled.PrintCR() ;
    oled.Print(str) ;
    delay(1000) ; 
  }
  delay(2000) ; 
}
